Account Number Validation

Account number validation

Avoid errors by validating your customer's bank account number before creating a call to Feezback:

  1. Get an API authentication token (according to guide)
  2. Make a POST request to the following endpoint:
    POST /tpp/v1/validation/account:
  3. Use the authorization token in the header
  4. Include the account number you want to validate in the request body (send IBAN or BBAN)
{“iban”: “…”}
--or
{“bban”: “…”}

  1. The response will include an indication regarding the account number validity: {“isValid”: true} / {“isValid”: false}
    1. If true: the account number is valid
    2. If false: the account number is not valid.

Saved Account Data

For returning users, call Feezback's API for saved account number of users who completed a payment previously with Feezback:

  1. Get an API authentication token
  2. Make a GET request to the pis-accounts endpoint:
    GET /tpp/v1/users/{SUB}@{TPP_ID}/pis-accounts:
  3. Use the authorization token in the header
  4. According to the sub sent in the path, you will receive a response with previously saved bank account details.
    1. If there are no previously saved accounts for this sub, the list will be empty.
  5. If there are previously saved accounts, they will appear in a list with the following info for each available account:
{
"id": "1",
"user": "{sub}",
"accountNumber": "",
"accountType": "IBAN" | "BBAN",
"aspspCode": "12",
"psuCorporateId": "",
"psuCorporateIdType": "",
"createdAt": "",
"updatedAt": ""
}


Did this page help you?